HTML>

| fuzznuc

## Wiki

The master copies of EMBOSS documentation are available at http://emboss.open-bio.org/wiki/Appdocs on the EMBOSS Wiki.

Please help by correcting and extending the Wiki pages.

## Function

Search for patterns in nucleotide sequences

## Description

fuzznuc searches for a specified PROSITE-style pattern in nucleotide sequences. Such patterns are specifications of a (typically short) length of sequence to be found. They can specify a search for an exact sequence or they can allow various ambiguities, matches to variable lengths of sequence and repeated subsections of the sequence. One or more nucleotide sequences are read from file. The output is a standard EMBOSS report file that includes data such as location and score of any matches.

## Algorithm

fuzznuc intelligently selects the optimum searching algorithm to use, depending on the complexity of the search pattern specified.

## Usage

Here is a sample session with fuzznuc

    % fuzznuc
    Search for patterns in nucleotide sequences
    Input nucleotide sequence(s): tembl:L46634
    Search pattern: AAGCTT
    Output report [l46634.fuzznuc]:

Go to the input files for this example
Go to the output files for this example

Example 2

    % fuzznuc
    Search for patterns in nucleotide sequences
    Input nucleotide sequence(s): tembl:L46634
    Search pattern: @nucseq.pat
    Output report [l46634.fuzznuc]:

Go to the input files for this example
Go to the output files for this example

Example 3

    % fuzznuc -pname test
    Search for patterns in nucleotide sequences
    Input nucleotide sequence(s): tembl:L46634
    Search pattern: @nucsimple.pat
    Output report [l46634.fuzznuc]:

Go to the input files for this example
Go to the output files for this example

Example 4

    % fuzznuc
    Search for patterns in nucleotide sequences
    Input nucleotide sequence(s): tembl:L46634
    Search pattern: @nuc.pat
    Output report [l46634.fuzznuc]:

Go to the input files for this example
Go to the output files for this example

## Command line arguments

    Search for patterns in nucleotide sequences
    Version: EMBOSS:6.5.6.0

       Standard (Mandatory) qualifiers:
      [-sequence]          seqall     Nucleotide sequence(s) filename and optional
                                      format, or reference (input USA)
       -pattern            pattern    The standard IUPAC one-letter codes for the
                                      nucleotides are used.
                                      The symbol 'n' is used for a position where
                                      any nucleotide is accepted.
                                      Ambiguities are indicated by listing the
                                      acceptable nucleotides for a given position,
                                      between square parentheses '[ ]'. For
                                      example: [ACG] stands for A or C or G.
                                      Ambiguities are also indicated by listing
                                      between a pair of curly brackets '{ }' the
                                      nucleotides that are not accepted at a given
                                      position. For example: {AG} stands for any
                                      nucleotides except A and G.
                                      Each element in a pattern is separated from
                                      its neighbor by a '-'. (Optional in
                                      fuzznuc).
                                      Repetition of an element of the pattern can
                                      be indicated by following that element with
                                      a numerical value or a numerical range
                                      between parenthesis. Examples: N(3)
                                      corresponds to N-N-N, N(2,4) corresponds to
                                      N-N or N-N-N or N-N-N-N.
                                      When a pattern is restricted to either the
                                      5' or 3' end of a sequence, that pattern
                                      either starts with a '<' symbol or
                                      respectively ends with a '>' symbol.
                                      A period ends the pattern. (Optional in
                                      fuzznuc).
                                      For example, [CG](5)TG{A}N(1,5)C
      [-outfile]           report     [*.fuzznuc] Output report file name (default
                                      -rformat seqtable)

       Additional (Optional) qualifiers: (none)
       Advanced (Unprompted) qualifiers:
       -complement         boolean    [N] Search complementary strand

       Associated qualifiers:

       "-sequence" associated qualifiers
       -sbegin1            integer    Start of each sequence to be used
       -send1              integer    End of each sequence to be used
       -sreverse1          boolean    Reverse (if DNA)
       -sask1              boolean    Ask for begin/end/reverse
       -snucleotide1       boolean    Sequence is nucleotide
       -sprotein1          boolean    Sequence is protein
       -slower1            boolean    Make lower case
       -supper1            boolean    Make upper case
       -scircular1         boolean    Sequence is circular
       -sformat1           string     Input sequence format
       -iquery1            string     Input query fields or ID list
       -ioffset1           integer    Input start position offset
       -sdbname1           string     Database name
       -sid1               string     Entryname
       -ufo1               string     UFO features
       -fformat1           string     Features format
       -fopenfile1         string     Features file name

       "-pattern" associated qualifiers
       -pformat            string     File format
       -pmismatch          integer    Pattern mismatch
       -pname              string     Pattern base name

       "-outfile" associated qualifiers
       -rformat2           string     Report format
       -rname2             string     Base file name
       -rextension2        string     File name extension
       -rdirectory2        string     Output directory
       -raccshow2          boolean    Show accession number in the report
       -rdesshow2          boolean    Show description in the report
       -rscoreshow2        boolean    Show the score in the report
       -rstrandshow2       boolean    Show the nucleotide strand in the report
       -rusashow2          boolean    Show the full USA in the report
       -rmaxall2           integer    Maximum total hits to report
       -rmaxseq2           integer    Maximum hits to report for one sequence

       General qualifiers:
       -auto               boolean    Turn off prompts
       -stdout             boolean    Write first file to standard output
       -filter             boolean    Read first file from standard input, write
                                      first file to standard output
       -options            boolean    Prompt for standard and additional values
       -debug              boolean    Write debug output to program.dbg
       -verbose            boolean    Report some/full command line options
       -help               boolean    Report command line options and exit. More
                                      information on associated and general
                                      qualifiers can be found with -help -verbose
       -warning            boolean    Report warnings
       -error              boolean    Report errors
       -fatal              boolean    Report fatal errors
       -die                boolean    Report dying program messages
       -version            boolean    Report version number and exit

Qualifier | Type | Description | Allowed values | Default
--- | --- | --- | --- | ---
Standard (Mandatory) qualifiers
[-sequence] (Parameter 1) | seqall | Nucleotide sequence(s) filename and optional format, or reference (input USA) | Readable sequence(s) | Required

-pattern

pattern

The standard IUPAC one-letter codes for the nucleotides are used. The symbol 'n' is used for a position where any nucleotide is accepted. Ambiguities are indicated by listing the acceptable nucleotides for a given position, between square parentheses '[ ]'. For example: [ACG] stands for A or C or G. Ambiguities are also indicated by listing between a pair of curly brackets '{ }' the nucleotides that are not accepted at a given position. For example: {AG} stands for any nucleotides except A and G. Each element in a pattern is separated from its neighbor by a '-'. (Optional in fuzznuc). Repetition of an element of the pattern can be indicated by following that element with a numerical value or a numerical range between parenthesis. Examples: N(3) corresponds to N-N-N, N(2,4) corresponds to N-N or N-N-N or N-N-N-N. When a pattern is restricted to either the 5' or 3' end of a sequence, that pattern either starts with a '<' symbol or respectively ends with a '>' symbol. A period ends the pattern. (Optional in fuzznuc). For example, [CG](5)TG{A}N(1,5)C

Property value(s)

[-outfile] (Parameter 2) | report | Output report file name | (default -rformat seqtable) | <*>.fuzznuc
Additional (Optional) qualifiers
(none)
Advanced (Unprompted) qualifiers
-complement | boolean | Search complementary strand | Boolean value Yes/No | No
Associated qualifiers
"-sequence" associated seqall qualifiers
-sbegin1 -sbegin_sequence | integer | Start of each sequence to be used | Any integer value | 0
-send1 -send_sequence | integer | End of each sequence to be used | Any integer value | 0
-sreverse1 -sreverse_sequence | boolean | Reverse (if DNA) | Boolean value Yes/No | N
-sask1 -sask_sequence | boolean | Ask for begin/end/reverse | Boolean value Yes/No | N
-snucleotide1 -snucleotide_sequence | boolean | Sequence is nucleotide | Boolean value Yes/No | N
-sprotein1 -sprotein_sequence | boolean | Sequence is protein | Boolean value Yes/No | N
-slower1 -slower_sequence | boolean | Make lower case | Boolean value Yes/No | N
-supper1 -supper_sequence | boolean | Make upper case | Boolean value Yes/No | N
-scircular1 -scircular_sequence | boolean | Sequence is circular | Boolean value Yes/No | N
-sformat1 -sformat_sequence | string | Input sequence format | Any string |
-iquery1 -iquery_sequence | string | Input query fields or ID list | Any string |
-ioffset1 -ioffset_sequence | integer | Input start position offset | Any integer value | 0
-sdbname1 -sdbname_sequence | string | Database name | Any string |
-sid1 -sid_sequence | string | Entryname | Any string |
-ufo1 -ufo_sequence | string | UFO features | Any string |
-fformat1 -fformat_sequence | string | Features format | Any string |
-fopenfile1 -fopenfile_sequence | string | Features file name | Any string |
"-pattern" associated pattern qualifiers
-pformat | string | File format | Any string |
-pmismatch | integer | Pattern mismatch | Any integer value | 0
-pname | string | Pattern base name | Any string |
"-outfile" associated report qualifiers
-rformat2 -rformat_outfile | string | Report format | Any string | seqtable
-rname2 -rname_outfile | string | Base file name | Any string |
-rextension2 -rextension_outfile | string | File name extension | Any string |
-rdirectory2 -rdirectory_outfile | string | Output directory | Any string |
-raccshow2 -raccshow_outfile | boolean | Show accession number in the report | Boolean value Yes/No | N
-rdesshow2 -rdesshow_outfile | boolean | Show description in the report | Boolean value Yes/No | N
-rscoreshow2 -rscoreshow_outfile | boolean | Show the score in the report | Boolean value Yes/No | Y
-rstrandshow2 -rstrandshow_outfile | boolean | Show the nucleotide strand in the report | Boolean value Yes/No | Y
-rusashow2 -rusashow_outfile | boolean | Show the full USA in the report | Boolean value Yes/No | N
-rmaxall2 -rmaxall_outfile | integer | Maximum total hits to report | Any integer value | 0
-rmaxseq2 -rmaxseq_outfile | integer | Maximum hits to report for one sequence | Any integer value | 0
General qualifiers
-auto | boolean | Turn off prompts | Boolean value Yes/No | N
-stdout | boolean | Write first file to standard output | Boolean value Yes/No | N
-filter | boolean | Read first file from standard input, write first file to standard output | Boolean value Yes/No | N
-options | boolean | Prompt for standard and additional values | Boolean value Yes/No | N
-debug | boolean | Write debug output to program.dbg | Boolean value Yes/No | N
-verbose | boolean | Report some/full command line options | Boolean value Yes/No | Y
-help | boolean | Report command line options and exit. More information on associated and general qualifiers can be found with -help -verbose | Boolean value Yes/No | N
-warning | boolean | Report warnings | Boolean value Yes/No | Y
-error | boolean | Report errors | Boolean value Yes/No | Y
-fatal | boolean | Report fatal errors | Boolean value Yes/No | Y
-die | boolean | Report dying program messages | Boolean value Yes/No | Y
-version | boolean | Report version number and exit | Boolean value Yes/No | N

## Input file format

fuzznuc reads in one or more nucleotide sequences.

The input is a standard EMBOSS sequence query (also known as a 'USA').

Major sequence database sources defined as standard in EMBOSS installations include srs:embl, srs:uniprot and ensembl

Data can also be read from sequence output in any supported format written by an EMBOSS or third-party application.

The input format can be specified by using the command-line qualifier `-sformat xxx`, where 'xxx' is replaced by the name of the required format. The available format names are: gff (gff3), gff2, embl (em), genbank (gb, refseq), ddbj, refseqp, pir (nbrf), swissprot (swiss, sw), dasgff and debug.

See: http://emboss.sf.net/docs/themes/SequenceFormats.html for further information on sequence formats.

### Input files for usage example

'tembl:L46634' is a sequence entry in the example nucleic acid database 'tembl'

### Database entry: tembl:L46634

    ID   L46634; SV 1; linear; genomic DNA; STD; VRL; 1272 BP.
    XX
    AC   L46634; L46689;
    XX
    DT   06-NOV-1995 (Rel. 45, Created)
    DT   04-MAR-2000 (Rel. 63, Last updated, Version 3)
    XX
    DE   Human herpesvirus 7 (clone ED132'1.2) telomeric repeat region.
    XX
    KW   telomeric repeat.
    XX
    OS   Human herpesvirus 7
    OC   Viruses; dsDNA viruses, no RNA stage; Herpesvirales; Herpesviridae;
    OC   Betaherpesvirinae; Roseolovirus.
    XX
    RN   [1]
    RP   1-1272
    RX   PUBMED; 7494318.
    RA   Secchiero P., Nicholas J., Deng H., Xiaopeng T., van Loon N., Ruvolo V.R.,
    RA   Berneman Z.N., Reitz M.S.Jr., Dewhurst S.;
    RT   "Identification of human telomeric repeat motifs at the genome termini of
    RT   human herpesvirus 7: structural analysis and heterogeneity";
    RL   J. Virol. 69(12):8041-8045(1995).
    XX
    FH   Key             Location/Qualifiers
    FH
    FT   source          1..1272
    FT                   /organism="Human herpesvirus 7"
    FT                   /strain="JI"
    FT                   /mol_type="genomic DNA"
    FT                   /clone="ED132'1.2"
    FT                   /db_xref="taxon:10372"
    FT   repeat_region   207..928
    FT                   /note="long and complex repeat region composed of various
    FT                   direct repeats, including TAACCC (TRS), degenerate copies
    FT                   of TRS motifs and a 14-bp repeat, TAGGGCTGCGGCCC"
    FT   misc_signal     938..998
    FT                   /note="pac2 motif"
    FT   misc_feature    1009
    FT                   /note="right genome terminus (...ACA)"
    XX
    SQ   Sequence 1272 BP; 346 A; 455 C; 222 G; 249 T; 0 other;
         aagcttaaac tgaggtcaca cacgacttta attacggcaa cgcaacagct gtaagctgca        60
         ggaaagatac gatcgtaagc aaatgtagtc ctacaatcaa gcgaggttgt agacgttacc       120
         tacaatgaac tacacctcta agcataacct gtcgggcaca gtgagacacg cagccgtaaa       180
         ttcaaaactc aacccaaacc gaagtctaag tctcacccta atcgtaacag taaccctaca       240
         actctaatcc tagtccgtaa ccgtaacccc aatcctagcc cttagcccta accctagccc       300
         taaccctagc tctaacctta gctctaactc tgaccctagg cctaacccta agcctaaccc       360
         taaccgtagc tctaagttta accctaaccc taaccctaac catgaccctg accctaaccc       420
         tagggctgcg gccctaaccc tagccctaac cctaacccta atcctaatcc tagccctaac       480
         cctagggctg cggccctaac cctagcccta accctaaccc taaccctagg gctgcggccc       540
         taaccctaac cctagggctg cggcccgaac cctaacccta accctaaccc taaccctagg       600
         gctgcggccc taaccctaac cctagggctg cggccctaac cctaacccta gggctgcggc       660
         ccgaacccta accctaaccc taaccctagg gctgcggccc taaccctaac cctagggctg       720
         cggccctaac cctaacccta actctagggc tgcggcccta accctaaccc taaccctaac       780
         cctagggctg cggcccgaac cctagcccta accctaaccc tgaccctgac cctaacccta       840
         accctaaccc taaccctaac cctaacccta accctaaccc taaccctaac cctaacccta       900
         accctaaccc taaccctaac cctaaccccg cccccactgg cagccaatgt cttgtaatgc       960
         cttcaaggca ctttttctgc gagccgcgcg cagcactcag tgaaaaacaa gtttgtgcac      1020
         gagaaagacg ctgccaaacc gcagctgcag catgaaggct gagtgcacaa ttttggcttt      1080
         agtcccataa aggcgcggct tcccgtagag tagaaaaccg cagcgcggcg cacagagcga      1140
         aggcagcggc tttcagactg tttgccaagc gcagtctgca tcttaccaat gatgatcgca      1200
         agcaagaaaa atgttctttc ttagcatatg cgtggttaat cctgttgtgg tcatcactaa      1260
         gttttcaagc tt                                                          1272
    //

### Input files for usage example 2

### File: nucseq.pat

    >targetseq
    cg(2)c(3)taac
    cctagc(3)ta

### Input files for usage example 3

### File: nucsimple.pat

    cg(2)c(3)taac
    cctagc(3)ta

### Input files for usage example 4

### File: nuc.pat

    >pat1
    cggccctaaccctagcccta
    >pat2 <mismatch=1>
    cg(2)c(3)taac
    cctagc(3)ta
    >pat3
    cggc(2,4)taac(2,5)

### Pattern specification

Patterns for fuzznuc are based on the format of pattern used in the PROSITE database, with the difference that the terminating dot '.' and the hyphens, '-', between the characters are optional.

The PROSITE pattern definition from the PROSITE documentation (amended to refer to nucleic acid sequences, not proteins) follows.

- The standard IUPAC one-letter codes for the nucleotides are used.
- The symbol `n' is used for a position where any nucleotide is accepted.
- Ambiguities are indicated by listing the acceptable nucleotides for a given position, between square parentheses `[ ]'. For example: [ACG] stands for A or C or G.
- Ambiguities are also indicated by listing between a pair of curly brackets `{ }' the nucleotides that are not accepted at a given position. For example: {AG} stands for any nucleotides except A and G.
- Each element in a pattern is separated from its neighbour by a `-'. (Optional in fuzznuc).
- Repetition of an element of the pattern can be indicated by following that element with a numerical value or a numerical range between parenthesis. Examples: N(3) corresponds to N-N-N, N(2,4) corresponds to N-N or N-N-N or N-N-N-N.
- When a pattern is restricted to either the 5' or 3' end of a sequence, that pattern either starts with a `<' symbol or respectively ends with a `>' symbol.
- A period ends the pattern. (Optional in fuzznuc).
- All other characters, including spaces are not allowed.

For example, in the EMBL entry J01636 you can look for the pattern:

    [CG](5)TG{A}N(1,5)C

This searches for "C or G" 5 times, followed by T and G, then anything except A, then any base (1 to 5 times) before a C.

You can use ambiguity codes for nucleic acid searches but not within [] or {} as they expand to bracketed counterparts. For example, "s" is expanded to "[GC]" therefore [S] would be expanded with a double set of brackets which is illegal.

Note the use of X is reserved for proteins. You must use N for nucleic acids to refer to any base.

The search is case-independent, so 'AAA' matches 'aaa'.

## Output file format

The output is a standard EMBOSS report file.

The results can be output in one of several styles by using the command-line qualifier `-rformat xxx`, where 'xxx' is replaced by the name of the required format. The available format names are: embl, genbank, gff, pir, swiss, dasgff, debug, listfile, dbmotif, diffseq, draw, restrict, excel, feattable, motif, nametable, regions, seqtable, simple, srs, table, tagseq.

See: http://emboss.sf.net/docs/themes/ReportFormats.html for further information on report formats.

By default fuzznuc writes a 'seqtable' report file.

### Output files for usage example

### File: l46634.fuzznuc

    ########################################
    # Program: fuzznuc
    # Rundate: Sun 15 Jul 2012 12:00:00
    # Commandline: fuzznuc
    #    -sequence tembl:L46634
    #    -pattern AAGCTT
    # Report_format: seqtable
    # Report_file: l46634.fuzznuc
    ########################################

    #=======================================
    #
    # Sequence: L46634     from: 1   to: 1272
    # HitCount: 2
    #
    # Pattern_name Mismatch Pattern
    # pattern             0 AAGCTT
    #
    # Complement: No
    #
    #=======================================

      Start     End  Strand Pattern        Mismatch Sequence
          1       6       + pattern:AAGCTT        . aagctt
       1267    1272       + pattern:AAGCTT        . aagctt

    #---------------------------------------
    #---------------------------------------

    #---------------------------------------
    # Total_sequences: 1
    # Total_length: 1272
    # Reported_sequences: 1
    # Reported_hitcount: 2
    #---------------------------------------

### Output files for usage example 2

### File: l46634.fuzznuc

    ########################################
    # Program: fuzznuc
    # Rundate: Sun 15 Jul 2012 12:00:00
    # Commandline: fuzznuc
    #    -sequence tembl:L46634
    #    -pattern @../../data/nucseq.pat
    # Report_format: seqtable
    # Report_file: l46634.fuzznuc
    ########################################

    #=======================================
    #
    # Sequence: L46634     from: 1   to: 1272
    # HitCount: 2
    #
    # Pattern_name Mismatch Pattern
    # targetseq           0 cg(2)c(3)taaccctagc(3)ta
    #
    # Complement: No
    #
    #=======================================

      Start     End  Strand Pattern                            Mismatch Sequence
        429     448       + targetseq:cg(2)c(3)taaccctagc(3)ta        . cggccctaaccctagcccta
        491     510       + targetseq:cg(2)c(3)taaccctagc(3)ta        . cggccctaaccctagcccta

    #---------------------------------------
    #---------------------------------------

    #---------------------------------------
    # Total_sequences: 1
    # Total_length: 1272
    # Reported_sequences: 1
    # Reported_hitcount: 2
    #---------------------------------------

### Output files for usage example 3

### File: l46634.fuzznuc

    ########################################
    # Program: fuzznuc
    # Rundate: Sun 15 Jul 2012 12:00:00
    # Commandline: fuzznuc
    #    -pname test
    #    -sequence tembl:L46634
    #    -pattern @../../data/nucsimple.pat
    # Report_format: seqtable
    # Report_file: l46634.fuzznuc
    ########################################

    #=======================================
    #
    # Sequence: L46634     from: 1   to: 1272
    # HitCount: 13
    #
    # Pattern_name Mismatch Pattern
    # test1               0 cg(2)c(3)taac
    # test2               0 cctagc(3)ta
    #
    # Complement: No
    #
    #=======================================

      Start     End  Strand Pattern             Mismatch Sequence
        429     438       + test1:cg(2)c(3)taac        . cggccctaac
        491     500       + test1:cg(2)c(3)taac        . cggccctaac
        535     544       + test1:cg(2)c(3)taac        . cggccctaac
        605     614       + test1:cg(2)c(3)taac        . cggccctaac
        631     640       + test1:cg(2)c(3)taac        . cggccctaac
        695     704       + test1:cg(2)c(3)taac        . cggccctaac
        721     730       + test1:cg(2)c(3)taac        . cggccctaac
        753     762       + test1:cg(2)c(3)taac        . cggccctaac
        293     302       + test2:cctagc(3)ta          . cctagcccta
        439     448       + test2:cctagc(3)ta          . cctagcccta
        469     478       + test2:cctagc(3)ta          . cctagcccta
        501     510       + test2:cctagc(3)ta          . cctagcccta
        801     810       + test2:cctagc(3)ta          . cctagcccta

    #---------------------------------------
    #---------------------------------------

    #---------------------------------------
    # Total_sequences: 1
    # Total_length: 1272
    # Reported_sequences: 1
    # Reported_hitcount: 13
    #---------------------------------------

### Output files for usage example 4

### File: l46634.fuzznuc

    ########################################
    # Program: fuzznuc
    # Rundate: Sun 15 Jul 2012 12:00:00
    # Commandline: fuzznuc
    #    -sequence tembl:L46634
    #    -pattern @../../data/nuc.pat
    # Report_format: seqtable
    # Report_file: l46634.fuzznuc
    ########################################

    #=======================================
    #
    # Sequence: L46634     from: 1   to: 1272
    # HitCount: 27
    #
    # Pattern_name Mismatch Pattern
    # pat1                0 cggccctaaccctagcccta
    # pat2                1 cg(2)c(3)taaccctagc(3)ta
    # pat3                0 cggc(2,4)taac(2,5)
    #
    # Complement: No
    #
    #=======================================

      Start     End  Strand Pattern                       Mismatch Sequence
        429     448       + pat1:cggccctaaccctagcccta            . cggccctaaccctagcccta
        491     510       + pat1:cggccctaaccctagcccta            . cggccctaaccctagcccta
        429     448       + pat2:cg(2)c(3)taaccctagc(3)ta        . cggccctaaccctagcccta
        491     510       + pat2:cg(2)c(3)taaccctagc(3)ta        . cggccctaaccctagcccta
        535     554       + pat2:cg(2)c(3)taaccctagc(3)ta        1 cggccctaaccctaacccta
        605     624       + pat2:cg(2)c(3)taaccctagc(3)ta        1 cggccctaaccctaacccta
        631     650       + pat2:cg(2)c(3)taaccctagc(3)ta        1 cggccctaaccctaacccta
        695     714       + pat2:cg(2)c(3)taaccctagc(3)ta        1 cggccctaaccctaacccta
        721     740       + pat2:cg(2)c(3)taaccctagc(3)ta        1 cggccctaaccctaacccta
        753     772       + pat2:cg(2)c(3)taaccctagc(3)ta        1 cggccctaaccctaacccta
        791     810       + pat2:cg(2)c(3)taaccctagc(3)ta        1 cggcccgaaccctagcccta
        753     763       + pat3:cggc(2,4)taac(2,5)              . cggccctaacc
        753     764       + pat3:cggc(2,4)taac(2,5)              . cggccctaaccc
        721     731       + pat3:cggc(2,4)taac(2,5)              . cggccctaacc
        721     732       + pat3:cggc(2,4)taac(2,5)              . cggccctaaccc
        695     705       + pat3:cggc(2,4)taac(2,5)              . cggccctaacc
        695     706       + pat3:cggc(2,4)taac(2,5)              . cggccctaaccc
        631     641       + pat3:cggc(2,4)taac(2,5)              . cggccctaacc
        631     642       + pat3:cggc(2,4)taac(2,5)              . cggccctaaccc
        605     615       + pat3:cggc(2,4)taac(2,5)              . cggccctaacc
        605     616       + pat3:cggc(2,4)taac(2,5)              . cggccctaaccc
        535     545       + pat3:cggc(2,4)taac(2,5)              . cggccctaacc
        535     546       + pat3:cggc(2,4)taac(2,5)              . cggccctaaccc
        491     501       + pat3:cggc(2,4)taac(2,5)              . cggccctaacc
        491     502       + pat3:cggc(2,4)taac(2,5)              . cggccctaaccc
        429     439       + pat3:cggc(2,4)taac(2,5)              . cggccctaacc
        429     440       + pat3:cggc(2,4)taac(2,5)              . cggccctaaccc

    #---------------------------------------
    #---------------------------------------

    #---------------------------------------
    # Total_sequences: 1
    # Total_length: 1272
    # Reported_sequences: 1
    # Reported_hitcount: 27
    #---------------------------------------

## Data files

None.

## Notes

None.

## References

None.

## Warnings

None.

## Diagnostic Error Messages

None.

## Exit status

It always exits with a status of 0.

## Known bugs

None.

## See also

Program name | Description
--- | ---
dreg | Regular expression search of nucleotide sequence(s)
fuzztran | Search for patterns in protein sequences (translated)

## Author(s)

Alan Bleasby
European Bioinformatics Institute, Wellcome Trust Genome Campus, Hinxton, Cambridge CB10 1SD, UK

Please report all bugs to the EMBOSS bug team (emboss-bug © emboss.open-bio.org) not to the original author.

## History

Written (2000) - Alan Bleasby
'-usa' added (13 March 2001) - Gary Williams

## Target users

This program is intended to be used by everyone and everything, from naive users to embedded scripts.

## Comments

None